Bug 166186 - Review Request: perl-Class-DBI-AsForm : Produce HTML form elements for database columns
Summary: Review Request: perl-Class-DBI-AsForm : Produce HTML form elements for databa...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Class-DBI...
Whiteboard:
Keywords:
Depends On: 166184 166194
Blocks: FE-ACCEPT 166203
TreeView+ depends on / blocked
 
Reported: 2005-08-17 20:21 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-09-08 15:41:12 UTC


Attachments (Terms of Use)

Description Tom "spot" Callaway 2005-08-17 20:21:39 UTC
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-AsForm.spec

SRPM Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-AsForm-2.41-2.src.rpm

Description: 

Produce HTML form elements for database columns.

(NOTE: This package is one of the Maypole dependencies)

Comment 2 Paul Howarth 2005-09-08 11:48:06 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, text included
- spec written in English and is legible
- sources match upstream
- package builds OK in FC4 and in mock for rawhide (i386)
- BRs OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Nitpick:

- I think the README contains better text for use as %description, rather than
  simply repeating %summary:

    This module helps to generate HTML forms for creating new database rows
    or editing existing rows. It maps column names in a database table to
    HTML form elements that fit the schema. Large text fields are turned
    into textareas, and fields with a has-a relationship to other
    "Class::DBI" tables are turned into select drop-downs populated with
    objects from the joined class.

Approved.



Note You need to log in before you can comment on or make changes to this bug.